---
name: Using/Understanding Tensorpack
about: More general questions about Tensorpack.
title: ''
labels: ''
assignees: ''

---

+ If you did something with tensorpack and it failed, PLEASE STOP HERE and use the "Unexpected Problems /
  Bugs" category.

+ Your question is probably answered in [tutorials](http://tensorpack.readthedocs.io/tutorial/index.html#user-tutorials). Read it first.

+ We answer "HOW to do X with Tensorpack" for a well-defined specific X.
  X must be something that you conceptually know how to do, but are unable to do due to lack of knowledge about Tensorpack.
  We don't answer vague questions like "How to do semantic segmentation in Tensorpack".

+ We also answer "HOW/WHY Tensorpack does X" for some X that Tensorpack or its examples are doing.


Some typical questions that we DO NOT answer:

+ "Could you improve/implement an example/paper?":

  We have no plans to do so. We don't consider feature
  requests for examples or implement a paper for you.
  If you don't know how to do something yourself, you may ask a usage question.

+ "The examples do not perform as expected after I change the models/dataset/parameters/etc.":

  Tensorpack maintainers make sure the examples perform well without modifications.
  But it's your job to pick the model and parameters that are suitable for your own situation.
  We cannot help with such questions unless they appear to be a bug in tensorpack.

+ "Why my own model doesn't perform well?", "I don't understand this paper you implement.",
  "How should I change the parameters for my own dataset?":

  We do not answer machine learning questions.

You can also use gitter (https://gitter.im/tensorpack/users) for more casual discussions.
